Name:          python-setuptools
Version:       30.4.0
Release:       1mamba
Summary:       Download, build, install, upgrade and uninstall Python packages
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://pypi.python.org/pypi/setuptools
Source:        http://pypi.debian.net/setuptools/setuptools-%{version}.tar.gz
Source1:       psfl.txt
Source2:       zpl.txt
License:       PSF, ZPL
Requires:      python >= %python_version
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel >= %python_version
## AUTOBUILDREQ-END
Provides:      python-distribute
Obsoletes:     python-distribute
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
setuptools is a collection of enhancements to the Python distutils that allow you to more easily build and distribute Python packages, especially ones that have dependencies on other packages.
This package contains the runtime components of setuptools, necessary to execute the software that requires pkg_resources.py.

%package devel
Summary:       Download, build, install, upgrade and uninstall Python packages
Group:         Development/Languages
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
setuptools is a collection of enhancements to the Python distutils that allow you to more easily build and distribute Python packages, especially ones that have dependencies on other packages.
This package contains the components necessary to build and install software requiring setuptools.

%if "%?with_pyver"
%define pyver           %{with_pyver}
%define __python        %(rpm --eval %{__python%{with_pyver}})
%define python_sitearch %(rpm --eval %{python%{with_pyver}_sitearch})
%define python_sitelib  %(rpm --eval %{python%{with_pyver}_sitelib})
%define python_inc      %(rpm --eval %{python%{with_pyver}_inc})
%define python_version  %(rpm --eval %{python%{with_pyver}_version})
%define python_provides %(rpm --eval %{python%{with_pyver}_provides})
%define python_requires %(rpm --eval %{python%{with_pyver}_requires})
%define py_requires     %(rpm --eval %{py%{with_pyver}_requires})

%package py%{pyver}
Group:         System/Libraries/Python
Summary:       %{summary}
%py_requires

%description py%{pyver}
setuptools is a collection of enhancements to the Python distutils that allow you to more easily build and distribute Python packages, especially ones that have dependencies on other packages.
This package contains the runtime components of setuptools, necessary to execute the software that requires pkg_resources.py.

%package py%{pyver}-devel
Group:         System/Libraries/Python
Summary:       %{summary}
Requires:      %{name}-py%{pyver} = %{?epoch:%epoch:}%{version}-%{release}

%description py%{pyver}-devel
setuptools is a collection of enhancements to the Python distutils that allow you to more easily build and distribute Python packages, especially ones that have dependencies on other packages.
This package contains the components necessary to build and install software requiring setuptools.
%endif

%prep
%setup -q -n setuptools-%{version}
find . -name '*.txt' -exec chmod -x '{}' ';'
find . -name '*.py'  -exec sed -i '1s,^#!python,#!%{__python27},' '{}' ';'

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python%{python_version} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i '\,\.egg-info/,d' %{name}.filelist

install -p -m 0644 %{S:1} %{S:2} .

rm -rf %{buildroot}%{python_sitelib}/setuptools/tests
find %{buildroot}%{python_sitearch} -name '*.exe' -exec rm -f '{}' ';'
sed -i '\,\.exe$,d;\,/tests/,d' %{name}.filelist

chmod +x %{buildroot}%{python_sitearch}/setuptools/command/easy_install.py

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%if "%?with_pyver"
%files py%{pyver}
%else
%files
%endif
%defattr(-,root,root,-)
%dir %{python_sitearch}/setuptools
%{python_sitearch}/setuptools/*
#%{python_sitearch}/_markerlib/*
%dir %{python_sitearch}/pkg_resources
%{python_sitearch}/pkg_resources/*
%dir %{python_sitearch}/setuptools-%{version}-py%{python_version}.egg-info
%{python_sitearch}/setuptools-%{version}-py%{python_version}.egg-info/*

%if "%?with_pyver"
%files py%{pyver}-devel
%else
%files devel
%endif
%defattr(-,root,root,-)
%{_bindir}/easy_install*
%{python_sitearch}/easy_install*
%if "%?with_pyver"
%{python_sitearch}/__pycache__/easy_install.cpython-*.pyc
%{python_sitearch}/__pycache__/easy_install.cpython-*.pyo
%endif
#%doc README.txt
#%doc psfl.txt zpl.txt

%changelog
* Sun Dec 11 2016 Automatic Build System <autodist@mambasoft.it> 30.4.0-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Automatic Build System <autodist@mambasoft.it> 30.3.0-1mamba
- automatic version update by autodist

* Wed Nov 09 2016 Automatic Build System <autodist@mambasoft.it> 28.8.0-1mamba
- automatic version update by autodist

* Sun Oct 30 2016 Automatic Build System <autodist@mambasoft.it> 28.7.1-1mamba
- automatic version update by autodist

* Sat Oct 29 2016 Automatic Build System <autodist@mambasoft.it> 28.7.0-1mamba
- automatic version update by autodist

* Sat Oct 22 2016 Automatic Build System <autodist@mambasoft.it> 28.6.1-1mamba
- automatic version update by autodist

* Sun Oct 09 2016 Automatic Build System <autodist@mambasoft.it> 28.3.0-1mamba
- automatic version update by autodist

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 28.1.0-1mamba
- automatic version update by autodist

* Mon Sep 12 2016 Automatic Build System <autodist@mambasoft.it> 27.1.2-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 26.1.1-1mamba
- automatic version update by autodist

* Mon Aug 29 2016 Automatic Build System <autodist@mambasoft.it> 26.1.0-1mamba
- automatic version update by autodist

* Sun Aug 21 2016 Automatic Build System <autodist@mambasoft.it> 26.0.0-1mamba
- automatic version update by autodist

* Sun Aug 21 2016 Automatic Build System <autodist@mambasoft.it> 25.4.0-1mamba
- automatic version update by autodist

* Sat Aug 13 2016 Automatic Build System <autodist@mambasoft.it> 25.2.0-1mamba
- automatic version update by autodist

* Sat Aug 06 2016 Automatic Build System <autodist@mambasoft.it> 25.1.6-1mamba
- automatic version update by autodist

* Fri Aug 05 2016 Automatic Build System <autodist@mambasoft.it> 25.1.5-1mamba
- automatic version update by autodist

* Thu Aug 04 2016 Automatic Build System <autodist@mambasoft.it> 25.1.4-1mamba
- automatic version update by autodist

* Tue Aug 02 2016 Automatic Build System <autodist@mambasoft.it> 25.1.3-1mamba
- automatic version update by autodist

* Sat Jul 30 2016 Automatic Build System <autodist@mambasoft.it> 25.1.1-1mamba
- automatic version update by autodist

* Tue Jul 26 2016 Automatic Build System <autodist@mambasoft.it> 25.1.0-1mamba
- automatic version update by autodist

* Sun Jul 24 2016 Automatic Build System <autodist@mambasoft.it> 25.0.0-1mamba
- automatic version update by autodist

* Sat Jul 23 2016 Automatic Build System <autodist@mambasoft.it> 24.3.0-1mamba
- automatic version update by autodist

* Fri Jul 22 2016 Automatic Build System <autodist@mambasoft.it> 24.2.1-2mamba
- automatic version update by autodist

* Fri Jul 22 2016 Automatic Build System <autodist@mambasoft.it> 24.2.1-1mamba
- automatic version update by autodist

* Thu Jul 21 2016 Automatic Build System <autodist@mambasoft.it> 24.2.0-1mamba
- automatic version update by autodist

* Thu Jul 14 2016 Automatic Build System <autodist@mambasoft.it> 24.0.3-1mamba
- automatic version update by autodist

* Tue Jul 05 2016 Automatic Build System <autodist@mambasoft.it> 24.0.2-1mamba
- automatic version update by autodist

* Mon Jul 04 2016 Automatic Build System <autodist@mambasoft.it> 24.0.1-1mamba
- automatic version update by autodist

* Sun Jul 03 2016 Automatic Build System <autodist@mambasoft.it> 24.0.0-1mamba
- automatic version update by autodist

* Sat Jun 25 2016 Automatic Build System <autodist@mambasoft.it> 23.1.0-1mamba
- automatic version update by autodist

* Fri Jun 10 2016 Automatic Build System <autodist@mambasoft.it> 23.0.0-1mamba
- automatic version update by autodist

* Sat Jun 04 2016 Automatic Build System <autodist@mambasoft.it> 22.0.5-1mamba
- automatic version update by autodist

* Sat Jun 04 2016 Automatic Build System <autodist@mambasoft.it> 22.0.2-1mamba
- automatic version update by autodist

* Thu Jun 02 2016 Automatic Build System <autodist@mambasoft.it> 22.0.0-1mamba
- automatic version update by autodist

* Wed Apr 20 2016 Automatic Build System <autodist@mambasoft.it> 20.9.0-1mamba
- automatic version update by autodist

* Thu Mar 31 2016 Automatic Build System <autodist@mambasoft.it> 20.6.7-1mamba
- automatic version update by autodist

* Thu Mar 31 2016 Automatic Build System <autodist@mambasoft.it> 20.6.6-1mamba
- automatic version update by autodist

* Wed Mar 30 2016 Automatic Build System <autodist@mambasoft.it> 20.5-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 20.3.1-1mamba
- automatic version update by autodist

* Sat Feb 13 2016 Automatic Build System <autodist@mambasoft.it> 20.1.1-1mamba
- automatic version update by autodist

* Fri Feb 12 2016 Automatic Build System <autodist@mambasoft.it> 20.1-1mamba
- automatic version update by autodist

* Mon Feb 08 2016 Automatic Build System <autodist@mambasoft.it> 20.0-1mamba
- automatic version update by autodist

* Wed Feb 03 2016 Automatic Build System <autodist@mambasoft.it> 19.7-1mamba
- automatic version update by autodist

* Sun Jan 31 2016 Automatic Build System <autodist@mambasoft.it> 19.6.2-1mamba
- automatic version update by autodist

* Fri Jan 29 2016 Automatic Build System <autodist@mambasoft.it> 19.6.1-1mamba
- automatic version update by autodist

* Mon Jan 25 2016 Automatic Build System <autodist@mambasoft.it> 19.6-1mamba
- automatic version update by autodist

* Sun Jan 24 2016 Automatic Build System <autodist@mambasoft.it> 19.5-1mamba
- automatic version update by autodist

* Sun Jan 17 2016 Automatic Build System <autodist@mambasoft.it> 19.4-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Automatic Build System <autodist@mambasoft.it> 19.3-1mamba
- automatic version update by autodist

* Mon Dec 28 2015 Automatic Build System <autodist@mambasoft.it> 19.2-1mamba
- automatic version update by autodist

* Wed Dec 02 2015 Automatic Build System <autodist@mambasoft.it> 18.7.1-1mamba
- automatic version update by autodist

* Sun Nov 29 2015 Automatic Build System <autodist@mambasoft.it> 18.7-1mamba
- automatic version update by autodist

* Wed Nov 25 2015 Automatic Build System <autodist@mambasoft.it> 18.6.1-1mamba
- automatic version update by autodist

* Mon Nov 02 2015 Automatic Build System <autodist@mambasoft.it> 18.5-1mamba
- automatic version update by autodist

* Sat Oct 24 2015 Automatic Build System <autodist@mambasoft.it> 18.4-1mamba
- automatic version update by autodist

* Fri Oct 02 2015 Automatic Build System <autodist@mambasoft.it> 18.3.2-1mamba
- automatic version update by autodist

* Mon Sep 07 2015 Automatic Build System <autodist@mambasoft.it> 18.3.1-1mamba
- automatic version update by autodist

* Thu Aug 20 2015 Automatic Build System <autodist@mambasoft.it> 18.2-1mamba
- automatic version update by autodist

* Mon Aug 03 2015 Automatic Build System <autodist@mambasoft.it> 18.1-1mamba
- automatic version update by autodist

* Thu Jun 25 2015 Automatic Build System <autodist@mambasoft.it> 18.0.1-1mamba
- automatic version update by autodist

* Tue Jun 09 2015 Automatic Build System <autodist@mambasoft.it> 17.1.1-1mamba
- automatic version update by autodist

* Sun Jun 07 2015 Automatic Build System <autodist@mambasoft.it> 17.1-1mamba
- automatic version update by autodist

* Fri May 29 2015 Automatic Build System <autodist@mambasoft.it> 17.0-1mamba
- automatic version update by autodist

* Wed May 20 2015 Automatic Build System <autodist@mambasoft.it> 16.0-1mamba
- automatic version update by autodist

* Sat May 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 15.2-2mamba
- added python3 subpackage

* Mon Apr 27 2015 Automatic Build System <autodist@mambasoft.it> 15.2-1mamba
- automatic version update by autodist

* Thu Apr 16 2015 Automatic Build System <autodist@mambasoft.it> 15.1-1mamba
- automatic version update by autodist

* Sat Apr 04 2015 Automatic Build System <autodist@mambasoft.it> 15.0-1mamba
- automatic version update by autodist

* Sat Mar 21 2015 Automatic Build System <autodist@mambasoft.it> 14.3.1-1mamba
- automatic version update by autodist

* Wed Mar 18 2015 Automatic Build System <autodist@mambasoft.it> 14.3-1mamba
- automatic version update by autodist

* Mon Mar 16 2015 Automatic Build System <autodist@mambasoft.it> 14.2-1mamba
- automatic version update by autodist

* Sun Mar 15 2015 Automatic Build System <autodist@mambasoft.it> 14.1.1-1mamba
- automatic version update by autodist

* Thu Mar 12 2015 Automatic Build System <autodist@mambasoft.it> 14.0-1mamba
- automatic version update by autodist

* Sat Mar 07 2015 Automatic Build System <autodist@mambasoft.it> 13.0.2-1mamba
- automatic version update by autodist

* Thu Mar 05 2015 Automatic Build System <autodist@mambasoft.it> 12.4-1mamba
- automatic version update by autodist

* Fri Feb 27 2015 Automatic Build System <autodist@mambasoft.it> 12.3-1mamba
- automatic version update by autodist

* Tue Feb 17 2015 Automatic Build System <autodist@mambasoft.it> 12.2-1mamba
- automatic version update by autodist

* Wed Feb 11 2015 Automatic Build System <autodist@mambasoft.it> 12.1-1mamba
- automatic version update by autodist

* Tue Jan 27 2015 Automatic Build System <autodist@mambasoft.it> 12.0.5-1mamba
- automatic version update by autodist

* Thu Jan 22 2015 Automatic Build System <autodist@mambasoft.it> 12.0.4-1mamba
- automatic version update by autodist

* Mon Jan 19 2015 Automatic Build System <autodist@mambasoft.it> 12.0.3-1mamba
- automatic version update by autodist

* Sat Jan 17 2015 Automatic Build System <autodist@mambasoft.it> 12.0.1-1mamba
- automatic version update by autodist

* Thu Jan 08 2015 Automatic Build System <autodist@mambasoft.it> 11.3.1-1mamba
- automatic version update by autodist

* Tue Jan 06 2015 Automatic Build System <autodist@mambasoft.it> 11.3-1mamba
- automatic version update by autodist

* Mon Jan 05 2015 Automatic Build System <autodist@mambasoft.it> 11.1-1mamba
- automatic version update by autodist

* Sat Jan 03 2015 Automatic Build System <autodist@mambasoft.it> 11.0-2mamba
- automatic version update by autodist

* Sat Jan 03 2015 Automatic Build System <autodist@mambasoft.it> 11.0-1mamba
- automatic version update by autodist

* Sat Jan 03 2015 Automatic Build System <autodist@mambasoft.it> 10.2.1-1mamba
- automatic version update by autodist

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 10.1-1mamba
- automatic version update by autodist

* Tue Dec 23 2014 Automatic Build System <autodist@mambasoft.it> 8.2.1-1mamba
- automatic update by autodist

* Thu Dec 18 2014 Automatic Build System <autodist@mambasoft.it> 8.2-1mamba
- automatic update by autodist

* Tue Dec 16 2014 Automatic Build System <autodist@mambasoft.it> 8.0.4-1mamba
- automatic version update by autodist

* Mon Dec 15 2014 Automatic Build System <autodist@mambasoft.it> 8.0.2-1mamba
- automatic version update by autodist

* Sun Dec 14 2014 Automatic Build System <autodist@mambasoft.it> 8.0.1-1mamba
- automatic version update by autodist

* Sun Oct 19 2014 Automatic Build System <autodist@mambasoft.it> 7.0-1mamba
- automatic version update by autodist

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 6.1-1mamba
- automatic version update by autodist

* Wed Oct 01 2014 Automatic Build System <autodist@mambasoft.it> 6.0.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 5.8-1mamba
- automatic version update by autodist

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 5.7-1mamba
- automatic version update by autodist

* Mon Aug 11 2014 Automatic Build System <autodist@mambasoft.it> 5.5-1mamba
- automatic version update by autodist

* Sun Aug 03 2014 Automatic Build System <autodist@mambasoft.it> 5.4.2-1mamba
- automatic version update by autodist

* Mon Jul 07 2014 Automatic Build System <autodist@mambasoft.it> 5.4.1-1mamba
- automatic version update by autodist

* Sun Jul 06 2014 Automatic Build System <autodist@mambasoft.it> 5.4-1mamba
- automatic version update by autodist

* Sun Jun 29 2014 Automatic Build System <autodist@mambasoft.it> 5.3-1mamba
- automatic version update by autodist

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 5.2-1mamba
- automatic version update by autodist

* Tue Jun 17 2014 Automatic Build System <autodist@mambasoft.it> 5.1-1mamba
- automatic version update by autodist

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 5.0-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Wed May 07 2014 Automatic Build System <autodist@mambasoft.it> 3.6-1mamba
- automatic version update by autodist

* Sun May 04 2014 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Sun May 04 2014 Automatic Build System <autodist@mambasoft.it> 3.5-1mamba
- automatic version update by autodist

* Fri Apr 11 2014 Automatic Build System <autodist@mambasoft.it> 3.4.4-1mamba
- automatic version update by autodist

* Tue Apr 08 2014 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Mon Apr 07 2014 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Fri Apr 04 2014 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Sun Mar 16 2014 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Sat Mar 15 2014 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Sat Mar 08 2014 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Thu Mar 06 2014 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Thu Mar 06 2014 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Sat Feb 08 2014 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Thu Feb 06 2014 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Sat Jan 11 2014 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Fri Dec 20 2013 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Sat Dec 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- update to 2.0

* Sun Dec 08 2013 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Wed Dec 04 2013 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Fri Nov 15 2013 Automatic Build System <autodist@mambasoft.it> 1.3-2mamba
- rebuilt because previous release was built with a buggy rpm release

* Thu Nov 14 2013 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Mon Sep 23 2013 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Tue Sep 10 2013 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic update by autodist

* Sun Aug 25 2013 Automatic Build System <autodist@mambasoft.it> 1.0-1mamba
- automatic version update by autodist

* Tue Aug 20 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic version update by autodist

* Sun Jun 30 2013 Automatic Build System <autodist@mambasoft.it> 0.7.5-1mamba
- automatic version update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6c11-3mamba
- rebuilt with python 2.7

* Fri Apr 09 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.6c11-2mamba
- specfile fixed and updated

* Fri Nov 27 2009 gil <puntogil@libero.it> 0.6c11-1mamba
- update to 0.6c11

* Wed Feb 11 2009 gil <puntogil@libero.it> 0.6c9-2mamba
- rebuilt with python 2.4.x

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6c9-1mamba
- update to 0.6c9

* Sat Aug 30 2008 gil <puntogil@libero.it> 0.6c8-1mamba
- update to 0.6c8
- added package devel

* Fri Mar 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6c5-1mamba
- package created by autospec
